<?php

namespace App\Http\Controllers;

use App\ProductoPromocional;
use Illuminate\Http\Request;

class ProductosPromocionalesController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $productosPromocionales=ProductoPromocional::all();
        return view('material_promocional.lista',compact('productosPromocionales'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('material_promocional.nuevo');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $where = [
            'nombre' => $request->nombre,
            'marca' => $request->marca,
            'precio' => $request->precio? $request->precio:0,
        ];
        $verificarRepetido=ProductoPromocional::where($where)->first();

        if($verificarRepetido){
            $arrResponse = [
                'message' => 'El Material promocional ya existe'
            ];
            return redirect()->route('marketing.productos_promocionales')->with($arrResponse);
            dd();
        }
        $material_promocional = new ProductoPromocional();
        $material_promocional->nombre = $request->nombre;
        $material_promocional->marca = $request->marca;
        $material_promocional->precio = $request->precio? $request->precio:0;
        $material_promocional->comentario = $request->comentario?$request->comentario:'';

        $material_promocional->save();
        $arrResponse = [
            'message' => 'Material promocional guardado correctamente'
        ];
        return redirect()->route('marketing.productos_promocionales')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(ProductoPromocional $object)
    {
        //
        return view('material_promocional.editar',compact('object'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, ProductoPromocional $object)
    {
        //
        $object->nombre = $request['nombre'];
        $object->marca = $request['marca'];
        $object->precio = $request['precio'];
        $object->comentario = $request['comentario'];
        $object->update();
        $arrResponse = [
            'message' => 'Material promocional actualizada correctamente'
        ];
        return redirect()->route('marketing.productos_promocionales')->with($arrResponse);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        ProductoPromocional::destroy($id);
        $arrResponse = [
            'message' => 'Material promocional eliminada correctamente'
        ];
        return redirect()->route('marketing.productos_promocionales')->with($arrResponse);
    }
}
